using System;

class Program
{
    static void Main()
    {
        int N = int.Parse(Console.ReadLine());

        int[] A = new int[N];
        int[] B = new int[N];

        string[] a = Console.ReadLine().Split();
        for (int i = 0; i < N; i++)
        {
            A[i] = int.Parse(a[i]);
        }

        string[] b = Console.ReadLine().Split();
        for (int i = 0; i < N; i++)
        {
            B[i] = int.Parse(b[i]);
        }

        int rezultat = 0;

        for (int L = 0; L < N; L++)
        {
            int xor = 0;
            int and = ~0;

            for (int R = L; R < N; R++)
            {
                xor ^= A[R];
                and &= B[R];

                int temp = xor * and;
                if (temp > rezultat)
                {
                    rezultat = temp;
                }
            }
        }

        Console.WriteLine(rezultat);
    }
}